Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class MessageStatistics

    java.lang.Object
      org.jboss.mq.MessageStatistics

All Implemented Interfaces:
  Serializable

public class MessageStatistics
extends Object
implements Serializable

Message statistics

Version:
  `$Revision: 1.1.4.1 $`
Author:
  Adrian Brock
See Also:
  Serialized Form

Constructor Summary
`MessageStatistics()` Construct a new Message Statistics

Method Summary
`String` | `getAsString()` Get message data as string in format "Topic/Queue, Name, Subscription, Durable, Count, CountDelta, Depth, DepthDelta, Timestamp Last Increment"
`int` | `getCount()` Get the count.
`int` | `getCountDelta()` Get the countDelta.
`int` | `getDepth()` Get the depth.
`int` | `getDepthDelta()` Get the depthDelta.
`String` | `getName()` Get the name.
`String` | `getSubscriptionID()` Get the subscriptionID.
`long` | `getTimeLastUpdate()` Get the timeLastUpdate.
`boolean` | `isDurable()` Get the durable.
`boolean` | `isTopic()` Get the topic.
`void` | `setCount(int count)` Set the count.
`void` | `setCountDelta(int countDelta)` Set the countDelta.
`void` | `setDepth(int depth)` Set the depth.
`void` | `setDepthDelta(int depthDelta)` Set the depthDelta.
`void` | `setDurable(boolean durable)` Set the durable.
`void` | `setName(String name)` Set the name.
`void` | `setSubscriptionID(String subscriptionID)` Set the subscriptionID.
`void` | `setTimeLastUpdate(long timeLastUpdate)` Set the timeLastUpdate.
`void` | `setTopic(boolean topic)` Set the topic.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageStatistics

    public MessageStatistics()

  Construct a new Message Statistics

Method Detail

### getCount

    public int getCount()

  Get the count.

  Returns:
    Returns the count.

### setCount

    public void setCount(int count)

  Set the count.

  Parameters:
    `count` - The count to set.

### getCountDelta

    public int getCountDelta()

  Get the countDelta.

  Returns:
    Returns the countDelta.

### setCountDelta

    public void setCountDelta(int countDelta)

  Set the countDelta.

  Parameters:
    `countDelta` - The countDelta to set.

### getDepth

    public int getDepth()

  Get the depth.

  Returns:
    Returns the depth.

### setDepth

    public void setDepth(int depth)

  Set the depth.

  Parameters:
    `depth` - The depth to set.

### getDepthDelta

    public int getDepthDelta()

  Get the depthDelta.

  Returns:
    Returns the depthDelta.

### setDepthDelta

    public void setDepthDelta(int depthDelta)

  Set the depthDelta.

  Parameters:
    `depthDelta` - The depthDelta to set.

### isDurable

    public boolean isDurable()

  Get the durable.

  Returns:
    Returns the durable.

### setDurable

    public void setDurable(boolean durable)

  Set the durable.

  Parameters:
    `durable` - The durable to set.

### getName

    public String getName()

  Get the name.

  Returns:
    Returns the name.

### setName

    public void setName(String name)

  Set the name.

  Parameters:
    `name` - The name to set.

### getSubscriptionID

    public String getSubscriptionID()

  Get the subscriptionID.

  Returns:
    Returns the subscriptionID.

### setSubscriptionID

    public void setSubscriptionID(String subscriptionID)

  Set the subscriptionID.

  Parameters:
    `subscriptionID` - The subscriptionID to set.

### getTimeLastUpdate

    public long getTimeLastUpdate()

  Get the timeLastUpdate.

  Returns:
    Returns the timeLastUpdate.

### setTimeLastUpdate

    public void setTimeLastUpdate(long timeLastUpdate)

  Set the timeLastUpdate.

  Parameters:
    `timeLastUpdate` - The timeLastUpdate to set.

### isTopic

    public boolean isTopic()

  Get the topic.

  Returns:
    Returns the topic.

### setTopic

    public void setTopic(boolean topic)

  Set the topic.

  Parameters:
    `topic` - The topic to set.

### getAsString

    public String getAsString()

  Get message data as string in format "Topic/Queue, Name, Subscription, Durable, Count, CountDelta, Depth, DepthDelta, Timestamp Last Increment"

  Returns:
    String data as a string

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.